.loading {
  display: inline-block;
  position: relative;
  width: 80px;
  height: 55px;
  margin: 12px 0 0;

  div {
    position: absolute;
    top: 33px;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background: $navy;
    animation-timing-function: cubic-bezier(0, 1, 1, 0);
    &:nth-child(1) {
      left: 8px;
      animation: loading1 0.6s infinite;
    }
    &:nth-child(2) {
      left: 8px;
      animation: loading2 0.6s infinite;
    }
    &:nth-child(3) {
      left: 32px;
      animation: loading2 0.6s infinite;
    }
    &:nth-child(4) {
      left: 56px;
      animation: loading3 0.6s infinite;
    }
  }
}

@keyframes loading1 {
  0% {
    transform: scale(0);
  }
  100% {
    transform: scale(1);
  }
}
@keyframes loading3 {
  0% {
    transform: scale(1);
  }
  100% {
    transform: scale(0);
  }
}
@keyframes loading2 {
  0% {
    transform: translate(0, 0);
  }
  100% {
    transform: translate(24px, 0);
  }
}
